Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTML.UnknownTag

    java.lang.Object
      |
      +--javax.swing.text.html.HTML.Tag
            |
            +--javax.swing.text.html.HTML.UnknownTag

public static class HTML.UnknownTag
extends HTML.Tag
implements java.io.Serializable

See Also:
  Serialized Form

Fields inherited from class javax.swing.text.html.HTML.Tag
`A, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, CAPTION, CENTER, CITE, CODE, COMMENT, CONTENT, DD, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, FRAME, FRAMESET, H1, H2, H3, H4, H5, H6, HEAD, HR, HTML, I, IMG, IMPLIED, INPUT, ISINDEX, KBD, LI, LINK, MAP, MENU, META, NOFRAMES, OBJECT, OL, OPTION, P, PARAM, PRE, S, SAMP, SCRIPT, SELECT, SMALL, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TD, TEXTAREA, TH, TITLE, TR, TT, U, UL, VAR`

Constructor Summary
`HTML.UnknownTag(java.lang.String id)`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this object to the specifed object.
`int` | `hashCode()`

Methods inherited from class javax.swing.text.html.HTML.Tag
`breaksFlow, isBlock, isPreformatted, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTML.UnknownTag

    public HTML.UnknownTag(java.lang.String id)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Compares this object to the specifed object. The result is `true` if and only if the argument is not `null` and is a `UnknownTag` object with the same name.
  Parameters:
    `obj` - the object to compare this tag with.
  Returns:
    `true` if the objects are equal; `false` otherwise.
  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.